require 'addressable'
require 'faraday'
require 'oj'
require 'base64'
require 'strict_open_struct'

require_relative 'fitbark/version'
require_relative 'fitbark/constants'
require_relative 'fitbark/errors'
require_relative 'fitbark/auth'
require_relative 'fitbark/client'
require_relative 'fitbark/data/shared'
require_relative 'fitbark/data/token'
require_relative 'fitbark/data/token_info'
require_relative 'fitbark/data/user_info'
require_relative 'fitbark/data/picture'
require_relative 'fitbark/data/breed'
require_relative 'fitbark/data/medical_condition'
require_relative 'fitbark/data/dog_info'
require_relative 'fitbark/data/user_relation'
require_relative 'fitbark/data/dog_relation'
require_relative 'fitbark/data/activity_daily'
require_relative 'fitbark/data/activity_hourly'
require_relative 'fitbark/data/similar_dogs_stat'
require_relative 'fitbark/data/activity_level'
require_relative 'fitbark/data/daily_goal'
require_relative 'fitbark/handler/v2/base'
require_relative 'fitbark/handler/v2/user_info'
require_relative 'fitbark/handler/v2/user_picture'
require_relative 'fitbark/handler/v2/dog_relations'
require_relative 'fitbark/handler/v2/dog_info'
require_relative 'fitbark/handler/v2/dog_picture'
require_relative 'fitbark/handler/v2/user_relations'
require_relative 'fitbark/handler/v2/activity_series'
require_relative 'fitbark/handler/v2/similar_dogs_stats'
require_relative 'fitbark/handler/v2/activity_total'
require_relative 'fitbark/handler/v2/time_breakdown'
require_relative 'fitbark/handler/v2/daily_goals'
require_relative 'fitbark/handler/v2/set_daily_goal'
require_relative 'fitbark/handler/v2/own_dogs'
require_relative 'fitbark/handler/v2/friend_dogs'

module Fitbark
  # :nodoc:
end
